This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 947655 - patch: typo in traceback handling
patch: typo in traceback handling
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pyparsing (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 784947
  Show dependency treegraph
 
Reported: 2013-04-02 19:39 EDT by Thomas Spura
Modified: 2013-04-20 15:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-13 20:23:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to fix the issue (2.33 KB, patch)
2013-04-02 19:39 EDT, Thomas Spura
no flags Details | Diff

  None (edit)
Description Thomas Spura 2013-04-02 19:39:14 EDT
Created attachment 731008 [details]
patch to fix the issue

Description of problem:
Plotting with matplotlib, which uses pyparsing results in the following traceback:

 File "/usr/lib/python3.3/site-packages/pyparsing.py", line 2470, in parseImpl
    return self.expr._parse( instring, loc, doActions, callPreParse=False )
  File "/usr/lib/python3.3/site-packages/pyparsing.py", line 894, in _parseCache
    exc.__traceback__ = None
NameError: global name 'exc' is not defined

Version-Release number of selected component (if applicable):
python3-pyparsing-1.5.6-6.fc18.noarch

How reproducible:
always

Steps to Reproduce:
1. use python3-matplotlib with agg backend (in my case)
  
Actual results:
traceback

Expected results:
no traceback

Additional info:
The attached patch fixes this issue. Note that this blocks the creation of a python3-ipython package...
Comment 1 Terje Røsten 2013-04-03 13:59:55 EDT
Thanks for patch, builds are in progress.
Comment 2 José Matos 2013-04-03 14:09:21 EDT
Thomas, do you know if this patch is available in the version 1.5.7 (released last November)?

I was planning to update pyparsing to 1.5.7 or even to version 2.0.0 (that drops support for python versions older than 2.6) but before doing that I would like to ensure that this does not affect other software that uses pyparsing.
Comment 3 Fedora Update System 2013-04-03 16:32:04 EDT
pyparsing-1.5.6-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pyparsing-1.5.6-8.fc19
Comment 4 Fedora Update System 2013-04-03 16:32:14 EDT
pyparsing-1.5.6-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pyparsing-1.5.6-8.fc18
Comment 5 Fedora Update System 2013-04-03 16:32:26 EDT
pyparsing-1.5.6-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pyparsing-1.5.6-8.fc17
Comment 6 Fedora Update System 2013-04-04 22:52:27 EDT
Package pyparsing-1.5.6-8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pyparsing-1.5.6-8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4844/pyparsing-1.5.6-8.fc19
then log in and leave karma (feedback).
Comment 7 Thomas Spura 2013-04-05 05:35:58 EDT
(In reply to comment #1)
> Thanks for patch, builds are in progress.

Thanks for picking it up.

(In reply to comment #2)
> Thomas, do you know if this patch is available in the version 1.5.7
> (released last November)?
> 
> I was planning to update pyparsing to 1.5.7 or even to version 2.0.0 (that
> drops support for python versions older than 2.6) but before doing that I
> would like to ensure that this does not affect other software that uses
> pyparsing.

1.5.7 looks quite different, and handles exception handling differently, so it should be possible to update to it.

I had a simple matplotlib script, that was failing before. But that works as expected with python3-pyparsing-2.0.0.

But I guess, it would need a new review request for 2.0.0, as that won't work on python2 anymore...
Feel free to CC me on the review request, if you plan one, and I try to review it, if I find the time...

Thanks!
Comment 8 Fedora Update System 2013-04-13 20:23:37 EDT
pyparsing-1.5.6-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-04-13 20:28:23 EDT
pyparsing-1.5.6-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-04-20 15:14:11 EDT
pyparsing-1.5.6-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.